summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authormbkma <[email protected]>2026-01-30 00:26:21 +0100
committerLuke from DC <[email protected]>2026-03-08 07:30:00 +0000
commit0022f355bd549bbe7da22446104839124a2236d5 (patch)
tree7855dc61729bd1e81b384dfc051a3929ba61161d
parent227f3af5693566d9769b91fb97444324ae9d43ae (diff)
downloadmozo-0022f355bd549bbe7da22446104839124a2236d5.tar.bz2
mozo-0022f355bd549bbe7da22446104839124a2236d5.tar.xz
ci: add set -eo pipefail to workflow scripts
-rwxr-xr-x.github/workflows/archlinux.sh2
-rwxr-xr-x.github/workflows/debian.sh2
-rwxr-xr-x.github/workflows/fedora.sh2
-rwxr-xr-x.github/workflows/ubuntu.sh2
4 files changed, 8 insertions, 0 deletions
diff --git a/.github/workflows/archlinux.sh b/.github/workflows/archlinux.sh
index d5cd761..09614e5 100755
--- a/.github/workflows/archlinux.sh
+++ b/.github/workflows/archlinux.sh
@@ -1,5 +1,7 @@
#!/usr/bin/bash
+set -eo pipefail
+
# Use grouped output messages
infobegin() {
echo "::group::${1}"
diff --git a/.github/workflows/debian.sh b/.github/workflows/debian.sh
index 51fa32c..88075da 100755
--- a/.github/workflows/debian.sh
+++ b/.github/workflows/debian.sh
@@ -1,5 +1,7 @@
#!/usr/bin/bash
+set -eo pipefail
+
# Use grouped output messages
infobegin() {
echo "::group::${1}"
diff --git a/.github/workflows/fedora.sh b/.github/workflows/fedora.sh
index 5e76ebf..a8bb602 100755
--- a/.github/workflows/fedora.sh
+++ b/.github/workflows/fedora.sh
@@ -1,5 +1,7 @@
#!/usr/bin/bash
+set -eo pipefail
+
# Use grouped output messages
infobegin() {
echo "::group::${1}"
diff --git a/.github/workflows/ubuntu.sh b/.github/workflows/ubuntu.sh
index d1eaba6..bb35aba 100755
--- a/.github/workflows/ubuntu.sh
+++ b/.github/workflows/ubuntu.sh
@@ -1,5 +1,7 @@
#!/usr/bin/bash
+set -eo pipefail
+
# Use grouped output messages
infobegin() {
echo "::group::${1}"